package com.persagy.dmp.rwd.delivery.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.persagy.dmp.delivery.entity.BossBdtpTypeRel;
import com.persagy.dmp.rwd.delivery.dao.BossBdtpTypeRelMapper;
import com.persagy.dmp.rwd.delivery.service.IBossBdtpTypeRelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.List;

/**
 * BOSS商品-BDTP类型映射关系
 * @author:linhuili
 * @date:2022/1/19
 */
@Service
public class BossBdtpTypeRelServiceImpl implements IBossBdtpTypeRelService {

    @Autowired
    private BossBdtpTypeRelMapper boosBdtpTypeRelMapper;

    /**
     * 条件查询BOSS-BDTP商品映射关系
     * @param queryWrapper 查询条件
     * @return
     */
    @Override
    public List<BossBdtpTypeRel> queryByCondition(Wrapper<BossBdtpTypeRel> queryWrapper) {
        return boosBdtpTypeRelMapper.selectList(queryWrapper);
    }
}
