package com.persagy.dmp.rwd.delivery.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.persagy.dmp.delivery.entity.BossBdtpTypeRel;
import java.util.List;

/**
 * BOSS商品-BDTP类型映射关系
 * @author:linhuili
 * @date:2022/1/19
 */
public interface IBossBdtpTypeRelService {

    /**
     * 条件查询BOSS-BDTP商品映射关系
     * @param queryWrapper 查询条件
     * @return 返回结果
     */
    List<BossBdtpTypeRel> queryByCondition(Wrapper<BossBdtpTypeRel> queryWrapper);
}
