package com.persagy.dmp.delivery.dto.boss;

import com.fasterxml.jackson.databind.node.ArrayNode;
import lombok.Data;

/**
 * Description
 *
 * @author:linhuili
 * @date:2022/1/18
 */
@Data
public class DeliveryOrderDTO {

    /** 交付计划总ID */
    private String id;

    /** 交付计划ID */
    private String planId;

    /** 商品编码 */
    private ArrayNode goodsCode;

    /** 商品数量 */
    private Integer goodsNum;

    /** 开始时间 */
    private String startTime;

    /** 结束时间 */
    private String endTime;

    /** 项目ID */
    private String projectId;

    /** 项目名称 */
    private String projectName;

    /** 管家账户 */
    private String account;

}
